/*
 * WeightedObject.java
 *
 * Version:
 *    $Id: WeightedObject.java,v 1.3 2005/06/20 01:46:03 gap7472 Exp gap7472 $
 *
 * Revisions:
 *    $Log: WeightedObject.java,v $
 *    Revision 1.3  2005/06/20 01:46:03  gap7472
 *    -Package changed from GreedyAlg -> util.heap.
 *
 *    Revision 1.2  2005/06/08 03:13:57  gap7472
 *    *** empty log message ***
 *
 */

package util.heap;

/**
 * The interface which defines objects that have a
 * weight (such as those stored in a heap).
 *
 * @author  Guy Paddock (gap7472@rit.edu)
 */
public interface WeightedObject
{
    /**
     * The most important, and only, method required
     * by this interface. This method returns the
     * weight of the object.
     *
     * @return  The weight of the object.
     */
    public int getWeight();
}